IDataFlowDiagram

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IDataFlowDiagram

    com.change_vision.jude.api.inf.model.IDataFlowDiagram

All Implemented Interfaces:
  IDiagram, IElement, IHyperlinkOwner, INamedElement

public IDataFlowDiagram
extends IDiagram

Interface for Data Flow diagrams.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IDataFlowNode[]` | `getDataFlowNodes()` Get DataFlowNodes.
`abstract IDataFlow[]` | `getDataFlows()` Get DataFlows.

Methods inherited from class com.change_vision.jude.api.inf.model.IDiagram
`getText`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getDataFlows

    public abstract IDataFlow[] getDataFlows()

  Get DataFlows.

  Returns:
    DataFlows. Return the empty array if there is none.

### getDataFlowNodes

    public abstract IDataFlowNode[] getDataFlowNodes()

  Get DataFlowNodes.

  Returns:
    DataFlowNodes. Return the empty array if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD